## phosh 0.45.0

=== debian/changelog ===
phosh (0.45.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Depend on phoc 0.45.0. We want a phoc that supports `-v`.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 13:30:56 +0100

phosh (0.45~rc1-3) experimental; urgency=medium

  [ Guido Günther ]
  * d/control: Mark libphosh Multi-arch: same.

  [ Arnaud Ferraris ]
  * phosh: move gschemas to new phosh-common.
    Software linked against `libphosh-0.x` need those to execute properly.
    Create a new `phosh-common` package for this purpose and move gschema
    files there, making both `phosh` and `libphosh-0.x` depend on it.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 11 Feb 2025 21:25:28 +0100

=== debian/control ===
Source: phosh
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Arnaud Ferraris <aferraris@debian.org>,
 Guido Günther <agx@sigxcpu.org>,
Build-Depends:
 debhelper-compat (= 13),
 gi-docgen <!nodoc>,
 libadwaita-1-dev,
 libcallaudio-dev,
 libevince-dev,
 libgmobile-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libfeedback-dev (>= 0.7.0),
 libgcr-3-dev,
 libgirepository1.0-dev <!nodoc>,
 libgnome-bluetooth-3.0-dev,
 libglib2.0-dev (>= 2.72.0),
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libgtk-4-dev,
 libgudev-1.0-dev,
 libhandy-1-dev (>= 1.1.90),
 libmm-glib-dev,
 libnm-dev,
 libpam0g-dev,
 libpolkit-agent-1-dev,
 libpulse-dev,
 libupower-glib-dev,
 libwayland-dev,
 meson,
 python3-docutils <!nodoc>,
# for the plugins
 libecal2.0-dev,
 evolution-data-server-dev,
# to run the tests
 at-spi2-core <!nocheck>,
 desktop-file-utils <!nocheck>,
 dbus-daemon <!nocheck>,
 gnome-settings-daemon-common <!nocheck>,
 gnome-shell-common <!nocheck>,
 gnome-themes-extra-data <!nocheck>,
 gsettings-desktop-schemas <!nocheck>,
 gtk-4-examples <!nocheck>,
 librsvg2-common <!nocheck>,
 phoc (>= 0.23.0) <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://phosh.mobi/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git

Package: phosh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-lato,
 gnome-shell-common,
 gsettings-desktop-schemas (>= 47),
 phoc (>= 0.45.0),
 phosh-common (= ${source:Version}),
Recommends:
 feedbackd (>= 0.5.0),
 gnome-session-bin,
 gnome-session-common,
 gnome-settings-daemon,
 iio-sensor-proxy,
 kbd,
 phosh-mobile-tweaks,
 phosh-plugins,
 slurp,
 squeekboard | phosh-osk-stub,
Provides:
 notification-daemon,
 polkit-1-auth-agent,
Breaks:
 gnome-calls (<< 41~alpha),
 gnome-control-center (<< 42),
 libgtk-3-0 (<< 3.24.30),
 xdg-desktop-portal-phosh (<< 0.44~),
Description: Pure Wayland shell for mobile devices
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 It's part of the Phosh Mobile Environment based on GNOME/GTK. For the full
 stack see the phosh-full and phosh-core metapackages.

Package: phosh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: Pure Wayland shell for mobile devices - development documentation
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development documentation.

Package: phosh-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Conflicts: phosh (<< 0.45~rc1-3~)
Description: Pure Wayland shell for mobile devices - Common files
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains arch-independent files needed by phosh and libphosh.

Package: phosh-mobile-tweaks
Architecture: all
Depends:
 ${misc:Depends},
 dconf-gsettings-backend | gsettings-backend,
Description: Pure Wayland shell for mobile devices - GSettings tweaks
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains settings to improve behaviour on mobile devices.

Package: phosh-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas,
 phoc (>= 0.13.1),
 phosh (= ${binary:Version}),
Breaks:
 phosh-mobile-settings (<< 0.44~),
Description: Pure Wayland shell for mobile devices - Plugins
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains additional plugins.

Package: phosh-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas-dev,
Description: Pure Wayland shell for mobile devices - development files
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development files.

Package: libphosh-0.45-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libappstream-dev,
 libcallaudio-dev,
 libfeedback-dev,
 libgcr-3-dev,
 libgmobile-dev,
 libgnome-bluetooth-3.0-dev,
 libgnome-desktop-3-dev,
 libgudev-1.0-dev,
 libhandy-1-dev,
 libmm-glib-dev,
 libnm-dev,
 libphosh-0.45-0 (= ${binary:Version}),
 libpolkit-agent-1-dev,
 libpulse-dev,
 libsecret-1-dev,
 libsoup-3.0-dev,
 libupower-glib-dev,
 phosh-dev (= ${binary:Version}),
Breaks:
 libphosh0-42-dev,
Replaces:
 libphosh0-42-dev,
Description: Pure Wayland shell for mobile devices - binding developmen files
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development files for bindings

Package: libphosh-0.45-0
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 phosh-common (= ${source:Version}),
Description: Pure Wayland shell for mobile devices - binding shared library
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the shared libarary for language bindings.

Package: gir1.2-phosh-0-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libphosh-0.45-0 (= ${binary:Version}),
Description: Pure Wayland shell for mobile devices - GObject introspection data
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the GObject introspection data.

## phosh 0.46~rc1

=== debian/changelog ===
phosh (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
  * Relax phosh-common dependency.
    We don't drop gsettings without further notice and this eases partial
    upgrades.
  * Ship new manpage
  * Add two new symbols used by our plugins

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Mar 2025 10:03:34 +0100

## phosh 0.46.0

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('phoc_tests',
       type: 'feature', value: 'auto',
       description: 'Whether to enable tests that need phoc')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Phosh')

option('man',
       type: 'boolean', value : false,
       description : 'generate man pages (requires rst2man)')

option('compositor',
       type: 'string', value: '/usr/bin/phoc',
       description: 'Path to the Phoc compositor for use in the launcher script')

option('callui-i18n',
       type: 'boolean', value: false,
       description: 'Whether to install libcallui\s i18n fles')

option('animation-slowdown',
       type: 'integer', value: 1,
       description: 'Slowdown for phosh specific animations')

# Tools helping with e.g. notification server development
option('tools',
       type: 'boolean', value: false,
       description: 'Whether to build the tools')

option('lockscreen-plugins',
       type: 'boolean', value: true,
       description: 'Whether to build the lockscreen plugins')

option('quick-setting-plugins',
       type: 'boolean', value: true,
       description: 'Whether to build the quick setting plugins')

option('introspection',
       type: 'boolean', value: false,
       description: 'Build gobject-introspection support')

# Install files needed to generate some bindings (e.g. Rust).
option('bindings-lib',
       type: 'boolean', value: false,
       description: 'Whether to install the headers and shared library to generate bindings.')

option('abi-check',
       type: 'boolean', value: false,
       description: 'Runs abi-compliance-checker on libphosh.so')

=== debian/changelog ===
phosh (0.46.0-1) unstable; urgency=medium

  * New upstream release
    * lockscreen: Allow to set background image. Off by default, can be
      enabled via mobile-settings (or `gsettings`).
    * Close quick-settings status pages when closing the top panel
    * Notifications: Use slide down animation in the message tray and allow to
      focus default action
    * media-player: Use `can-play` to device whether we should show the widget
    * media-player: Download cover-art when possible
    * layout-manager: Handle notches/cutouts in the indicator areas. This
      helps devices with a e.g. camera in the left display corner (like
      the Nothing Phone).
    * Use more consistent button press feedback
    * wifi-quick-setting: Indicate ongoing Wi-Fi scans in the status page
    * Add `phosh.gsettings(5)` manpage.
    * Set more wallpaper friendly defaults and improve legibility, reduce
      flicker, fix thumbnail scaling and other fixes.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 11:41:46 +0200

=== debian/control ===
--- 
+++ 
@@ -64,7 +64,7 @@
  gnome-shell-common,
  gsettings-desktop-schemas (>= 47),
  phoc (>= 0.45.0),
- phosh-common (= ${source:Version}),
+ phosh-common (>= ${source:Version}),
 Recommends:
  feedbackd (>= 0.5.0),
  gnome-session-bin,
@@ -189,12 +189,12 @@
  libphosh0-42-dev,
 Replaces:
  libphosh0-42-dev,
-Description: Pure Wayland shell for mobile devices - binding developmen files
- Phosh is a graphical shell for Wayland compositors speaking the layer-surface
- protocol and aimed at mobile devices like smart phones and tablets using touch
- based inputs and small screens.
- .
- This package contains the development files for bindings
+Description: Pure Wayland shell for mobile devices - binding development files
+ Phosh is a graphical shell for Wayland compositors speaking the layer-surface
+ protocol and aimed at mobile devices like smart phones and tablets using touch
+ based inputs and small screens.
+ .
+ This package contains the development files for language bindings
 
 Package: libphosh-0.45-0
 Architecture: any
@@ -203,13 +203,13 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- phosh-common (= ${source:Version}),
+ phosh-common (>= ${source:Version}),
 Description: Pure Wayland shell for mobile devices - binding shared library
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
  based inputs and small screens.
  .
- This package contains the shared libarary for language bindings.
+ This package contains the shared library for language bindings.
 
 Package: gir1.2-phosh-0-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=-Dphoc_tests=disabled -Dbindings-lib=true
TEST = LC_ALL=C.UTF-8 xvfb-run -a -s "-noreset" dbus-run-session -- dh_auto_test -- --no-suite manual --print-errorlogs

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_OPTS+=-Dgtk_doc=true -Dman=true
else
  CONFIGURE_OPTS+=-Dgtk_doc=false -Dman=false
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
  CONFIGURE_OPTS+=-Dtests=true
else
  CONFIGURE_OPTS+=-Dtests=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	set -e; for script in postinst postrm triggers; do \
                sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
                    -e"s/#ARCH#/$(DEB_HOST_ARCH)/g" \
                    debian/phosh.$$script.in \
                    > debian/phosh.$$script ; \
        done
	dh_auto_install

override_dh_installsystemd:
	rm -f debian/phosh.service ; cp data/phosh.service debian/phosh.service
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH),armel))
	$(TEST) || true
else
	$(TEST)
endif

## phosh 0.48.0

=== meson_options.txt ===
--- 
+++ 
@@ -43,6 +43,10 @@
        type: 'boolean', value: false,
        description: 'Build gobject-introspection support')
 
+option('vapi',
+       type: 'boolean', value: false,
+       description: 'Build vala VAPI files')
+
 # Install files needed to generate some bindings (e.g. Rust).
 option('bindings-lib',
        type: 'boolean', value: false,

=== debian/changelog ===
phosh (0.48.0-2) experimental; urgency=medium

  * Enable and install vapi files, needed for plugins written in vala.
  * Bump standards version
  * Remove Rules-Requires-Root.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Jul 2025 16:18:31 +0200

phosh (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * New lockscreen plugin that allows to interact with all currently
      running media players that use the MPRIS protocol.
    * Build VAPI files so one can also write plugins in vala (See
      https://gitlab.gnome.org/guidog/phosh-vala-plugins) for an example
    * Enable Cell Broadcast dialogs by default. Mobile Settings has the
      needed UI bits now.
    * Update list of adaptive apps
    * Various bug fixes

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 16:39:58 +0200

phosh (0.48~rc1-1) experimental; urgency=medium

  * New upstream release
    * New lockscreen plugin that allows to interact with all currently
      running media players that use the MPRIS protocol.
    * Build VAPI files so one can also write plugins in vala (See
      https://gitlab.gnome.org/guidog/phosh-vala-plugins) for an example
    * Enable Cell Broadcast dialogs by default. Mobile Settings has the
      needed UI bits now.
    * Update list of adaptive apps
    * Various bug fixes and GTK4 preps
  * Rediff patches
  * Depend on xmlstarlet for the new test
  * Update library symbols

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:34:54 +0200

phosh (0.47.0-1) experimental; urgency=medium

  * New upstream release
    * notifications: Handle cellbroacast events from the desktop portal v2 spec
    * app-list-model: Track StartupWMClass for better app-id matching
    * Avoid flicker when unblanking lock screen with media widget present
    * Add status page to feedback quick settings that allows to enable
      "Do not disturb" and to go to the feedback settings easily
    * Fix showing of active network on Wi-Fi status page when the network
      has multiple access points
    * Don't let OSD block input on the whole screen when shown
    * Disable mobile data quick settings when SIM is locked

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 12:43:09 +0200

phosh (0.47~rc1-1) experimental; urgency=medium

  * New upstream release
  * Drop patches that were cherry-picked from upstream
  * libphosh: Add new symbols

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 May 2025 15:42:12 +0200

phosh (0.46.0-3) unstable; urgency=medium

  * Backport patches from phosh's 0.46 branch. This fixes icons in the app
    launch splash and app grid broken by the GNOME 48 update.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 May 2025 09:38:50 +0200

phosh (0.46.0-2) unstable; urgency=medium

  * d/control: Bump libmm-glib build-dependency.
    This ensures that Cell Broadcast support is detected and enabled.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Apr 2025 14:22:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTS=-Dphoc_tests=disabled -Dbindings-lib=true
+CONFIGURE_OPTS=-Dphoc_tests=disabled -Dbindings-lib=true -Dvapi=true
 TEST = LC_ALL=C.UTF-8 xvfb-run -a -s "-noreset" dbus-run-session -- dh_auto_test -- --no-suite manual --print-errorlogs
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)

## phosh 0.49~rc1

=== debian/changelog ===
phosh (0.49~rc1-1) experimental; urgency=medium

  * New upstream release
    * upcoming-events: Allow to exclude days without events
    * Use phrosh portal when available
    * overview: Don't let search entry take the whole width
    * Cellbroadcast related fixes
    * Add searchd
  * Backport searchd related build system fixes
  * Enable searchd (not yet used by phosh itself)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Aug 2025 20:07:27 +0200

## phosh 0.49.0

=== debian/changelog ===
phosh (0.49.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    * Improve media widget's cover art thumbnails
    * Improve keypad and search bar style
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 12:24:54 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libgtk-4-dev,
  libgudev-1.0-dev,
  libhandy-1-dev (>= 1.1.90),
- libmm-glib-dev,
+ libmm-glib-dev (>= 1.23.95),
  libnm-dev,
  libpam0g-dev,
  libpolkit-agent-1-dev,
@@ -32,6 +32,7 @@
  libupower-glib-dev,
  libwayland-dev,
  meson,
+ valac,
  python3-docutils <!nodoc>,
 # for the plugins
  libecal2.0-dev,
@@ -48,10 +49,10 @@
  librsvg2-common <!nocheck>,
  phoc (>= 0.23.0) <!nocheck>,
  xauth <!nocheck>,
+ xmlstarlet <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://phosh.mobi/
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git

=== debian/tests/control ===
Test-Command: /usr/libexec/phosh --help
Restrictions: superficial
Depends: phosh

Test-Command: /usr/libexec/phosh-calendar-server --help
Restrictions: superficial
Depends: phosh

Test-Command: /usr/libexec/phosh-searchd --help
Restrictions: superficial
Depends: phosh

Test-Command: pkg-config --libs --cflags libphosh-0.45
Restrictions: superficial
Depends: libphosh-0.45-dev

## phosh 0.50~rc1

=== subprojects/libcall-ui/meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('examples',
       type: 'boolean', value: true,
       description: 'Whether to build the examples')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

option('install-i18n',
       type: 'boolean', value: true,
       description: 'Whether to install translations')

=== debian/changelog ===
phosh (0.50~rc1-1) experimental; urgency=medium

  * Upload to experimental until GNOME 49 core components
    move to unstable.
  * New upstream release
  * d/control: Prefer stevia.
    Let's make this match the rest of the stack
  * d/control: Remove ancient breaks.
    These versions aren't in Debian stable anymore
  * Wrap and sort most files.
    We don't wrap-and-sort the build-dependencies to keep the
    separation between regular, plugin and test deps
  * d/control: Version g-s-d dependency.
    We need it for the new brightness handling

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2025 14:45:59 +0200

=== debian/control ===
--- 
+++ 
@@ -59,32 +59,29 @@
 Package: phosh
 Architecture: any
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  fonts-lato,
  gnome-shell-common,
  gsettings-desktop-schemas (>= 47),
  phoc (>= 0.45.0),
  phosh-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Recommends:
  feedbackd (>= 0.5.0),
  gnome-session-bin,
  gnome-session-common,
- gnome-settings-daemon,
+ gnome-settings-daemon (>= 49),
  iio-sensor-proxy,
  kbd,
  phosh-mobile-tweaks,
+ phosh-osk-stevia | squeekboard,
  phosh-plugins,
  slurp,
- squeekboard | phosh-osk-stub,
 Provides:
  notification-daemon,
  polkit-1-auth-agent,
 Breaks:
- gnome-calls (<< 41~alpha),
- gnome-control-center (<< 42),
- libgtk-3-0 (<< 3.24.30),
- xdg-desktop-portal-phosh (<< 0.44~),
+ gnome-settings-daemon (<< 49),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -112,7 +109,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
-Conflicts: phosh (<< 0.45~rc1-3~)
+Conflicts:
+ phosh (<< 0.45~rc1-3~),
 Description: Pure Wayland shell for mobile devices - Common files
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -123,8 +121,8 @@
 Package: phosh-mobile-tweaks
 Architecture: all
 Depends:
- ${misc:Depends},
  dconf-gsettings-backend | gsettings-backend,
+ ${misc:Depends},
 Description: Pure Wayland shell for mobile devices - GSettings tweaks
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -135,11 +133,11 @@
 Package: phosh-plugins
 Architecture: any
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  gsettings-desktop-schemas,
  phoc (>= 0.13.1),
  phosh (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Breaks:
  phosh-mobile-settings (<< 0.44~),
 Description: Pure Wayland shell for mobile devices - Plugins
@@ -152,9 +150,9 @@
 Package: phosh-dev
 Architecture: any
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  gsettings-desktop-schemas-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Pure Wayland shell for mobile devices - development files
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -166,8 +164,6 @@
 Architecture: any
 Section: libdevel
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  libappstream-dev,
  libcallaudio-dev,
  libfeedback-dev,
@@ -186,6 +182,8 @@
  libsoup-3.0-dev,
  libupower-glib-dev,
  phosh-dev (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Breaks:
  libphosh0-42-dev,
 Replaces:
@@ -202,9 +200,9 @@
 Section: libs
 Multi-Arch: same
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  phosh-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Pure Wayland shell for mobile devices - binding shared library
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -216,9 +214,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  libphosh-0.45-0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Pure Wayland shell for mobile devices - GObject introspection data
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTS=-Dphoc_tests=disabled -Dbindings-lib=true -Dvapi=true
+CONFIGURE_OPTS=-Dphoc_tests=disabled -Dbindings-lib=true -Dvapi=true -Dsearchd=true
 TEST = LC_ALL=C.UTF-8 xvfb-run -a -s "-noreset" dbus-run-session -- dh_auto_test -- --no-suite manual --print-errorlogs
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)

## phosh 0.50.0

=== debian/changelog ===
phosh (0.50.0-1) experimental; urgency=medium

  * New upstream release
    * Allow to open the top-bar settings panel easily
    * Move brightness handling to phosh, it got dropped from g-s-d 49.
    * Mark demo plugins as `NoDisplay` so they don't show in p-m-s
    * Don't crash g-c-c when running nested
    * Reset them when auto-HighContrast is turned off
  * Install the OSK related systemd unit
  * d/control: Add Breaks on stevia.
    We want a version with that starts via systemd unit.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 17:42:58 +0200

=== debian/watch ===
version=4
opts="repacksuffix=+ds, uversionmangle=s/\.(alpha|beta|rc)/~$1/, pgpsigurlmangle=s%$%.asc%,pgpsigurlmangle=s/$/.asc/,pgpmode=mangle" https://sources.phosh.mobi/releases/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## phosh 0.50.1

=== meson_options.txt ===
--- 
+++ 
@@ -55,3 +55,7 @@
 option('abi-check',
        type: 'boolean', value: false,
        description: 'Runs abi-compliance-checker on libphosh.so')
+
+option('searchd',
+       type: 'boolean', value: false,
+       description: 'Enable build and installation of phosh\'s search service')

=== debian/changelog ===
phosh (0.50.1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1119791)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Oct 2025 13:57:51 +0100

phosh (0.50.1-1) experimental; urgency=medium

  * New upstream bugfix release
    * Fix upcoming-event's plugin empty state
    * Fix "Open settings" button position on devices with rounded corners

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Oct 2025 17:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -81,6 +81,7 @@
  notification-daemon,
  polkit-1-auth-agent,
 Breaks:
+ phosh-osk-stevia (<< 0.50.0~),
  gnome-settings-daemon (<< 49),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface

=== debian/tests/control ===
Test-Command: /usr/libexec/phosh --help
Restrictions:
 superficial,
Depends:
 phosh,

Test-Command: /usr/libexec/phosh-calendar-server --help
Restrictions:
 superficial,
Depends:
 phosh,

Test-Command: /usr/libexec/phosh-searchd --help
Restrictions:
 superficial,
Depends:
 phosh,

Test-Command: pkg-config --libs --cflags libphosh-0.45
Restrictions:
 superficial,
Depends:
 libphosh-0.45-dev,

## phosh 0.51~rc1

=== .gitlab-ci/Makefile ===
VERSION=$(shell date --iso)

all:
	sed -i s/v0\..*/v0.0.$(VERSION)/ *.Dockerfile
	./run-docker.sh build  --base debian --version 0.0.$(VERSION)
	./run-docker.sh build  --base asan --version 0.0.$(VERSION)
	./run-docker.sh build  --base screenshot --version 0.0.$(VERSION)

push:
	./run-docker.sh push  --base debian --version 0.0.$(VERSION)
	./run-docker.sh push  --base asan --version 0.0.$(VERSION)
	./run-docker.sh push  --base screenshot --version 0.0.$(VERSION)

=== debian/changelog ===
phosh (0.51~rc1-1) unstable; urgency=medium

  * New upstream release
    * Add location quick setting
    * caffine: Allow to select duration
    * brightness/auto-brightness improvements:
      * Handle auto-brightness via a bucket based algorithm
      * Let brightness slider be an offset around the auto-brightness value
      * Icon next to brightness slider indicates autobrighness on/off
      * Gradually transition to new auto-brightness value
      * Auto-brightness can be enabled/disabled via a status page
    * Fix upcoming-event’s plugin empty state
    * Fix “Open settings” button position on devices with rounded corners
    * Lots of internal cleanups and fixes
  * Install plugin icons

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 18:15:30 +0100

phosh (0.50.1-3) unstable; urgency=medium

  * Force phosh-osk-stub off the system.
    It does no longer spawn with gnome-session-bin 49 and is replaced
    by stevia anyway.
  * Don't allow for squeekboard as default OSK.
    It won't start due to #1118539 so let's require a working
    one.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Nov 2025 09:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -74,14 +74,15 @@
  iio-sensor-proxy,
  kbd,
  phosh-mobile-tweaks,
- phosh-osk-stevia | squeekboard,
+ phosh-osk-stevia,
  phosh-plugins,
  slurp,
 Provides:
  notification-daemon,
  polkit-1-auth-agent,
 Breaks:
- phosh-osk-stevia (<< 0.50.0~),
+ phosh-osk-stevia (<< 0.51~),
+ phosh-osk-stub,
  gnome-settings-daemon (<< 49),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface

## phosh 0.51.0

=== debian/changelog ===
phosh (0.51.0-1) unstable; urgency=medium

  * New upstream release
   * caffeine: Allow one to configure durations via mobile
  * torch: Allow one to configure minimal brightness via hwdb/udev
  * Disable reporotest in CI: We see spurious "GFileInfo created without
    standard::type" in one test case since some time breaking our test
    expectations and it doesn't reproduce locally.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 Nov 2025 12:41:09 +0100

## phosh 0.52~rc1

=== debian/changelog ===
phosh (0.52~rc1-1) unstable; urgency=medium

  * New upstream release
  * Depend on libqrcodegen for the hot spot plugin
  * Update symbols.
    We drop a symbol but since that is not use by libphosh-rs we
    don't need to bump the library version.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2026 17:25:56 +0100

## phosh 0.52.0

=== debian/changelog ===
phosh (0.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Jan 2026 16:55:53 +0100

## phosh 0.52.1

=== debian/changelog ===
phosh (0.52.1-1) unstable; urgency=medium

  * New upstream release
    * Avoid newer wireplumber/pipewire crashing gvc and thus phosh

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Jan 2026 17:40:40 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
  python3-docutils <!nodoc>,
 # for the plugins
  libecal2.0-dev,
+ libqrcodegen-dev,
  evolution-data-server-dev,
 # to run the tests
  at-spi2-core <!nocheck>,

## phosh 0.53~rc1

=== debian/changelog ===
phosh (0.53~rc1-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream release
    * Various auto brightness improvements, e.g.
      * remember auto brightness offset
      * compensate for night light
    * overview: Show thumbnails for launching apps
    * overview: Style improvements
    * polkit-prompt: Show more user data
    * Activation fixes for notifications
      (Needs https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/9269)
    * caffeine: Allow to open plugin prefs from the status page
    * Multiple other fixes (Use alias for Bluetooth devices, improve app icon
      lookup, …)
  * Update symbols

  [ Jeremy Bícha ]
  * Remove unnecessary Build-Depends: gnome-themes-extra-data.
    This Build-Depends was added in 2019 and appears to no longer be needed
    Also, the Debian GNOME team is proposing to remove the
    gnome-themes-extra source package in https://bugs.debian.org/1112387
  * Update Build-Depends: libevince-dev → libevince-gtk3-dev

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 Feb 2026 19:55:59 +0100

## phosh 0.53.0

=== debian/changelog ===
phosh (0.53.0-2) unstable; urgency=medium

  * Move translations from phosh to phosh-common. This allows the Mobian PlaMo
    images to use phrog without having the phosh package installed. See
    #1128020 for a discussion
  * Backport two upstream overview patches

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Feb 2026 20:28:57 +0100

phosh (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * Another gvc update
  * Prefer C over Rust portals until we have newer ashpd in Debian

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Feb 2026 11:59:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gi-docgen <!nodoc>,
  libadwaita-1-dev,
  libcallaudio-dev,
- libevince-dev,
+ libevince-gtk3-dev,
  libgmobile-dev,
  libsecret-1-dev,
  libsystemd-dev,
@@ -44,7 +44,6 @@
  dbus-daemon <!nocheck>,
  gnome-settings-daemon-common <!nocheck>,
  gnome-shell-common <!nocheck>,
- gnome-themes-extra-data <!nocheck>,
  gsettings-desktop-schemas <!nocheck>,
  gtk-4-examples <!nocheck>,
  librsvg2-common <!nocheck>,
@@ -112,8 +111,10 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
-Conflicts:
- phosh (<< 0.45~rc1-3~),
+Breaks:
+ phosh (<< 0.53.0-2~),
+Replaces:
+ phosh (<< 0.53.0-2~),
 Description: Pure Wayland shell for mobile devices - Common files
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
